Skip to main content
`Ctrl`+`K`

# PetscSignalHandlerDefault

Default signal handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSignalHandlerDefault(int sig, void *ptr)

Not Collective

## Input Parameters

- sig - signal value

- ptr - unused pointer

## Developer Note

This does not call `PetscError()`, it handles the entire error process, including possibly printing the traceback, directly

## See Also

Error Handling, `PetscPushSignalHandler()`

## Level

advanced

## Location

src/sys/error/signal.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages